package intrinsic.mx.containers;

public class Form extends intrinsic.mx.core.Container {

	/** Accessors */
	public double maxLabelWidth;

	/** Variables */
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Form() {
}


/** Static Methods */

/** Methods */
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void styleChanged(String arg0);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);

}
